INTERFACE
SUBROUTINE LARCINHB(&
 & KST,KPROF,KL0H,PDLOH,PCLOH,PCLOHSLD,PDLATH,PCLAH,PCLAHSLD,&
 & PDVERH,PVINTWH,PVINTWHSLD,PB1,&
 & PGWF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMMP , ONLY : NASLB1
USE YOMDIM , ONLY : NPROMA ,NFLEVG ,NFLSA ,NFLEN
USE YOMSC2 , ONLY : NFLDSLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KL0H(NPROMA,0:NFLEVG-1,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLOH(NPROMA,0:NFLEVG-1,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOH(NPROMA,0:NFLEVG-1,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOHSLD(NPROMA,0:NFLEVG-1,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLATH(NPROMA,0:NFLEVG-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLAH(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLAHSLD(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDVERH(NPROMA,0:NFLEVG-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWH(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWHSLD(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGWF(NPROMA,1:NFLEVG)
END SUBROUTINE LARCINHB
END INTERFACE
